from dashboard_app.models import TestRun
import datetime
import sys

DAILY_STREAM = "/anonymous/linaro-gfx-daily/"
BOARD_LIST = ["panda", "snowball", "origen"]
TEST_MODULE_PREFIX = "linaro_graphics_app.views."

def get_test_run_query(stream, test_id, board_name, days):
    return TestRun.objects.filter(
            bundle__bundle_stream__pathname = stream,
            test__test_id__endswith = test_id,
            analyzer_assigned_date__gt = datetime.datetime.now() -
                                         datetime.timedelta(days=days),
            attributes__value = board_name).order_by("analyzer_assigned_date")


def get_test_list():
    return [name.replace(TEST_MODULE_PREFIX, "").replace("_views", "")
            for name in sys.modules
            if name.startswith(TEST_MODULE_PREFIX) and name.endswith("_views")]


def get_module_for_test(test):
    module_name = TEST_MODULE_PREFIX + test + "_views"
    return sys.modules.get(module_name, None)



